> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupère les documents de la transaction



## OpenAPI

````yaml /fr/openapi.json get /api/publicapi/v1/transactions/{transactionId}/documents
openapi: 3.0.4
info:
  description: 'Environnement : Production<br>Version du produit : 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Production – États-Unis
    url: https://vantage-us.abbyy.com
  - description: Production – Europe
    url: https://vantage-eu.abbyy.com
  - description: Production – Australie
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/documents:
    get:
      tags:
        - TransactionDocuments
      summary: Récupère les documents de la transaction
      operationId: GetTransactionDocuments
      parameters:
        - description: >-
            Identifiant de Transaction. Vous le recevrez dans la réponse une
            fois la transaction créée avec succès.
          in: path
          name: transactionId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDocumentResult
                type: array
            text/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDocumentResult
                type: array
            text/plain:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDocumentResult
                type: array
          description: Documents de la Transaction
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Certains Parameters sont invalides
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Accès interdit
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Transaction introuvable
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDocumentResult:
      additionalProperties: false
      properties:
        documentId:
          description: ID du Document
          format: uuid
          type: string
        sourceFiles:
          description: Collection de fichiers source
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.FileDto
          type: array
      required:
        - documentId
        - sourceFiles
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.FileDto:
      additionalProperties: false
      properties:
        id:
          description: Identifiant unique du fichier
          minLength: 1
          type: string
        name:
          description: Nom du fichier. Doit être unique au sein de la transaction
          minLength: 1
          type: string
      required:
        - id
        - name
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````